-- UNIT_POWER
function(e, unit, power)
	if unit ~= "player" then return end
	if power ~= "SOUL_SHARDS" then return end
	local soulShards = UnitPower("player", 7)
	if soulShards == aura_env.SoulShards then return end
	if soulShards < aura_env.SoulShards then
		aura_env.SoulShards = soulShards
		return
	end
	aura_env.SoulShards = soulShards
	aura_env.SoulShardStack:Push(time())
	WeakAuras.ScanEvents("PLAY_SOUND", "Interface\\Sounds\\quack.ogg")
end